Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.objectrelational
Class ObjectArrayMapping

`java.lang.Object
oracle.toplink.mappings.DatabaseMapping
oracle.toplink.mappings.AggregateMapping
oracle.toplink.mappings.foundation.AbstractCompositeCollectionMapping
oracle.toplink.sdk.SDKAggregateCollectionMapping
oracle.toplink.objectrelational.ObjectArrayMapping`

All Implemented Interfaces:
  java.lang.Cloneable, ContainerMapping, SDKCollectionMapping, java.io.Serializable

public class ObjectArrayMapping
extends SDKAggregateCollectionMapping

Purpose: In an object-relational data model, structures can contain "Arrays" or collections of other data-types. In Oracle 8i, a `Varray` is typically used to represent a collection of primitive data or aggregate structures. These arrays are stored with their parent structure in the same table.

ArrayMapping is used to map a collection of primitive data

ObjectArrayMapping is used to map a collection of Oracle data-type

NOTE: Only Oracle8i supports Varray type.

Since:
  TOPLink/Java 3.0
See Also:
  `ArrayMapping`, Serialized Form

Constructor Summary
`ObjectArrayMapping()`

Method Summary
`java.lang.String` | `getStructureName()` PUBLIC: Return the name of the structure.
`void` | `setFieldName(java.lang.String fieldName)` PUBLIC: Set the mapping's field name.
`void` | `setStructureName(java.lang.String structureName)` PUBLIC: Set the name of the structure.

Methods inherited from class oracle.toplink.sdk.SDKAggregateCollectionMapping
`getFieldName, simpleAddToCollectionChangeRecord, simpleRemoveFromCollectionChangeRecord`

Methods inherited from class oracle.toplink.mappings.foundation.AbstractCompositeCollectionMapping
`setContainerPolicy, useCollectionClass, useCollectionClassName, useListClassName, useMapClass, useMapClassName`

Methods inherited from class oracle.toplink.mappings.AggregateMapping
`getReferenceClass, setReferenceClass`

Methods inherited from class oracle.toplink.mappings.DatabaseMapping
`getAttributeAccessor, getAttributeClassification, getAttributeName, getGetMethodName, getReferenceClassDescriptor, getSetMethodName, isUsingMethodAccess, readOnly, readWrite, setAttributeAccessor, setAttributeName, setGetMethodName, setIsReadOnly, setSetMethodName, setWeight`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.toplink.sdk.SDKCollectionMapping
`buildAddedElementFromChangeSet, buildChangeSet, buildElementFromElement, buildRemovedElementFromChangeSet, compareElements, compareElementsForChange, getAttributeName, getRealCollectionAttributeValueFromObject, mapKeyHasChanged, setRealAttributeValueInObject`

Methods inherited from interface oracle.toplink.mappings.ContainerMapping
`getContainerPolicy, setContainerPolicy, useCollectionClass, useMapClass`

Constructor Detail

### ObjectArrayMapping

    public ObjectArrayMapping()

Method Detail

### getStructureName

    public java.lang.String getStructureName()

  PUBLIC: Return the name of the structure. This is the name of the user defined data type as defined on the database.

### setFieldName

    public void setFieldName(java.lang.String fieldName)

  Description copied from class: `SDKAggregateCollectionMapping`
  PUBLIC: Set the mapping's field name. This is the field in the database row that will hold the nested rows that make up the aggregate collection.
  Overrides:
    `setFieldName` in class `SDKAggregateCollectionMapping`

### setStructureName

    public void setStructureName(java.lang.String structureName)

  PUBLIC: Set the name of the structure. This is the name of the user defined data type as defined on the database.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD